The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Updating apache...modules still not changed?

Discussion in 'EasyApache' started by chadi, Jul 12, 2004.

  1. chadi

    chadi BANNED

    Joined:
    Apr 20, 2004
    Messages:
    415
    Likes Received:
    0
    Trophy Points:
    0
    I updated apache via whm about ten times already and I don't see any changes for modules. cURL / cURL SSL SUpport, GD, Freetype, java not installed. Why?

    It automatically restarts apache (httpd) and does ./build install as well.

    Anyone else having this problem?
     
  2. alexeow

    alexeow Registered

    Joined:
    Jul 14, 2004
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    I'm having this problem too. My php module never update after running apache update. Any help on this would be appreciated. :(

    Alex Eow
    The Cash Avalanche Team
     
  3. TheDood

    TheDood Member

    Joined:
    Feb 17, 2004
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Utah
    Same here, PHP Stays at PHP Version 4.3.4 When trying to update to 4.3.8.
    Any help would be awesome.

    WHM 9.4.0 cPanel 9.4.1-C69
    RedHat 9 - WHM X v3.1.0
     
  4. Nathan D.

    Nathan D. Well-Known Member

    Joined:
    Mar 21, 2004
    Messages:
    78
    Likes Received:
    0
    Trophy Points:
    6
    Location:
    Virginia
    Same here...
     
    #4 Nathan D., Jul 14, 2004
    Last edited: Jul 14, 2004
  5. bamasbest

    bamasbest Well-Known Member

    Joined:
    Jan 10, 2004
    Messages:
    531
    Likes Received:
    0
    Trophy Points:
    16
    Don't know if this applies to your situation...

    But, after upgrading php and modules via whm, I too received all of the proper messages.

    Now, when I went into whm - phpmyadmin, the phpinfo page did not indecate the new changes. However, when I loaded a test page with phpinfo() on one of my sites, the latest version and all modules were displayed. As well, all sites reliant upon curl and zend were fully functional.

    Something tells me that the info displayed via whm's myadmin/info is displaying the details for cgi php?
     
  6. Arvand

    Arvand Well-Known Member
    PartnerNOC

    Joined:
    Jul 26, 2003
    Messages:
    130
    Likes Received:
    1
    Trophy Points:
    18
  7. Arvand

    Arvand Well-Known Member
    PartnerNOC

    Joined:
    Jul 26, 2003
    Messages:
    130
    Likes Received:
    1
    Trophy Points:
    18
    The reason you got the security warning was for php not apache. PHP should have been upgraded to 4.3.8.
     
  8. TheDood

    TheDood Member

    Joined:
    Feb 17, 2004
    Messages:
    20
    Likes Received:
    0
    Trophy Points:
    1
    Location:
    Utah
    I got my PHP to update after using the easyapache script throguh SSH.

    But CURL, CURL SSL, GD, and more modules are not compiled with it, So i went into WHM and checked all of the modules i needed, When looking at the logs, it looks like it compiled CURL and CUL SSL where in there. but when it's all done, it dosent show that it was compiled, and it dosent work.

    can anyone plase help me?

    Thanks
     
  9. NNNils

    NNNils Well-Known Member

    Joined:
    Sep 17, 2002
    Messages:
    580
    Likes Received:
    0
    Trophy Points:
    16
    Same here, GD, freetype etc etc can not be installed on most servers using php 4.3.8
     
Loading...

Share This Page